%define upstream_name    Term-Report
%define upstream_version 1.18

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 9

Summary:    Easy way to create dynamic 'reports' from within scripts
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Term/%{upstream_name}-%{upstream_version}.tar.bz2


BuildArch:      noarch


%description 
Term::Report can be used to generate nicely formatted dynamic output. It can
also use Term::StatusBar to show progress and Number::Format so numbers show up
more readable. All output is sent to STDOUT by default.

The current release may not be compatible with previous code. Many changes were
made with regards to how output could be formatted.

%prep
%setup -q -n %{upstream_name}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/Term*
%{_mandir}/*/*




%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.180.0-9.mga8
+ Revision: 1497318
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.180.0-8.mga7
+ Revision: 1271639
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.180.0-7.mga6
+ Revision: 1033995
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.180.0-6.mga6
+ Revision: 945327
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.180.0-5.mga5
+ Revision: 748429
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.180.0-4.mga5
+ Revision: 686384
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.180.0-3.mga4
+ Revision: 515018
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.180.0-2.mga3
+ Revision: 373313
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 18 2011 jquelin <jquelin> 1.180.0-1.mga1
+ Revision: 22876
- cleaning spec file
- imported package perl-Term-Report


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 1.180.0-1mdv2010.0
+ Revision: 405541
- rebuild using %%perl_convert_version

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.18-10mdv2009.0
+ Revision: 258508
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.18-9mdv2009.0
+ Revision: 246523
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.18-7mdv2008.1
+ Revision: 136360
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-7mdv2008.0
+ Revision: 86965
- rebuild


* Tue Aug 29 2006 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-6mdv2007.0
- Rebuild

* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 1.18-5mdk
- Fix SPEC according to Perl Policy
    - Source URL

* Fri Dec 16 2005 Guillaume Rousse <guillomovitch@mandriva.org> 1.18-4mdk
- spec cleanup
- %%mkrel

* Wed Dec 15 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-3mdk 
- fix buildrequires in a backward compatible way

* Mon Nov 29 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-2mdk 
- fix buildrequires

* Thu Nov 25 2004 Guillaume Rousse <guillomovitch@mandrake.org> 1.18-1mdk 
- first mdk release

